%define module_name Alien-TidyHTML5
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/tidy perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Build/Plugin/Build/CMake.pm) perl(Alien/cmake3.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Module/Metadata.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/Alien.pm) perl(Test/CleanNamespaces.pm) perl(Test/EOL.pm) perl(Test/MinimumVersion.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test2/V0.pm) perl(base.pm) perl(strict.pm) perl(warnings.pm) pkgconfig(tidy)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.3.5
Release: alt2
Summary: Download and install HTML Tidy
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RR/RRWO/%{module_name}-v%{version}.tar.gz

%description
This distribution provides tidy (a.k.a. "libtidy" or "html-tidy")
v5.6.0 or newer, so that it can be used by other Perl
distributions. It does this by first trying to detect an existing
install of tidy on your system. If found it will use that. If it
cannot be found, the source code will be downloaded from the official
git repository, and it will be installed in a private share location
for the use of other modules.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.3.5-alt2
- rebuild with perl 5.38

* Thu Jun 16 2022 Igor Vlasenko <viy@altlinux.org> 0.3.5-alt1
- updated by package builder

* Fri Nov 19 2021 Igor Vlasenko <viy@altlinux.org> 0.3.4-alt1
- initial import by package builder

